create_call
const url = 'https://app.everruns.com/api/v1/sessions/example/voice/calls';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"instructions":"Always confirm before placing an order.","model":"gpt-realtime","reasoning_effort":"medium","voice":"alloy","sdp":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://app.everruns.com/api/v1/sessions/example/voice/calls \ --header 'Content-Type: application/json' \ --data '{ "instructions": "Always confirm before placing an order.", "model": "gpt-realtime", "reasoning_effort": "medium", "voice": "alloy", "sdp": "example" }'Create a voice call attached to the session.
Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ”Request Body required
Section titled “Request Body required ”Request body for voice call.
object
Extra system instructions appended to the realtime session prompt.
Example
Always confirm before placing an order.Provider-side realtime model identifier. When omitted the server picks the agent’s configured default.
Example
gpt-realtimeReasoning effort hint passed through to the realtime model. One of low, medium, high.
When omitted the server picks the provider’s default.
Example
mediumRealtime voice preset (provider-specific). When omitted the server picks the agent’s configured default.
Example
alloyResponses
Section titled “ Responses ”Realtime WebRTC call created
Response body for voice call.
object
Server-generated SDP answer to send back to the client to complete the WebRTC handshake.
Timestamp when the call’s lease expires (RFC 3339).
Provider-side model identifier used for the realtime session.
Realtime provider routing this connection.
Provider-side call identifier once issued. None until the realtime call is established.
Reasoning effort tier for thinking-capable models.
Realtime voice preset selected for the connection.
Prefixed public identifier of the voice connection. See ID Schema.
Example generated
{ "answer_sdp": "example", "expires_at": "2026-04-15T12:00:00Z", "model": "example", "provider": "example", "provider_call_id": "example", "reasoning_effort": "example", "voice": "example", "voice_connection_id": "example"}